namespace IrrlichtNetSwig
{
    public partial class position2df
    {
        public static position2df operator +(position2df x, position2df y)
        {
            return x.add(y);
        }
        public static position2df operator +(position2df x, dimension2df y)
        {
            return x.add(y);
        }
        public static position2df operator -(position2df x, position2df y)
        {
            return x.sub(y);
        }
        public static position2df operator -(position2df x, dimension2df y)
        {
            return x.sub(y);
        }
        public static position2df operator *(position2df x, position2df y)
        {
            return x.mul(y);
        }
        public static position2df operator *(position2df x, float y)
        {
            return x.mul(y);
        }
        public static explicit operator position2df(position2di original)
        {
            return new position2df((float)original.X, (float)original.Y);
        }
    }
}